> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/payment/api-payment-payment.md).

# /api/payment/payment

## PATCH /api/payment/payment

> Update payment

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/payment/payment"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_payment_payment":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["paymentid"]}}},"paths":{"/api/payment/payment":{"patch":{"description":"Update payment","tags":["/api/payment/payment"],"parameters":[{"name":"paymentid","in":"query","schema":{"type":"string"},"required":true},{"name":"stored","in":"query","schema":{"type":"string"},"required":false},{"name":"paid","in":"query","schema":{"type":"string"},"required":false},{"name":"paid_reference","in":"query","schema":{},"required":false},{"name":"account_only","in":"query","schema":{"default":0,"type":"string"},"required":false}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_payment_payment"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_payment_payment"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_payment_payment"}}}}}}}}}
```
